Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2754303003: [LayoutNG] Split apart CreateConstraintSpaceForChild. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by ikilpatrick
Modified:
6 months, 1 week ago
Reviewers:
Gleb Lanbin
CC:
chromium-reviews, cbiesinger, ojan+watch_chromium.org, szager+layoutwatch_chromium.org, glebl+reviews_chromium.org, dgrogan+ng_chromium.org, atotic+reviews_chromium.org, blink-reviews-layout_chromium.org, pdr+renderingwatchlist_chromium.org, eae+blinkwatch, leviw+renderwatch, zoltan1, jchaffraix+rendering, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[LayoutNG] Split apart CreateConstraintSpaceForChild. Introduces PrepareChildLayout which takes now does all of the pre-layout margin calculation, margin-collapsing, etc. Going to try and follow up with a patch which bundles margin, bfc_offset, etc, together instead of using the class curr_*_ variables. BUG=635619 Review-Url: https://codereview.chromium.org/2754303003 Cr-Commit-Position: refs/heads/master@{#457953} Committed: https://chromium.googlesource.com/chromium/src/+/fb239514f323bd9999a3e13fb5d8e3a27eddabd8

Patch Set 1 #

Total comments: 8

Patch Set 2 : address comments. #

Patch Set 3 : rebase? #

Messages

Total messages: 27 (16 generated)
ikilpatrick
I'm not hugely attached to this patch, so if you don't like it feel free ...
6 months, 1 week ago (2017-03-17 18:58:49 UTC) #4
ikilpatrick
On 2017/03/17 18:58:49, ikilpatrick wrote: > I'm not hugely attached to this patch, so if ...
6 months, 1 week ago (2017-03-17 18:59:13 UTC) #5
ikilpatrick
On 2017/03/17 18:58:49, ikilpatrick wrote: > I'm not hugely attached to this patch, so if ...
6 months, 1 week ago (2017-03-17 18:59:15 UTC) #6
Gleb Lanbin
lgtm feel free to ignore comments and submit this patch. I can fix them later ...
6 months, 1 week ago (2017-03-17 19:31:18 UTC) #7
ikilpatrick
https://codereview.chromium.org/2754303003/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc File third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc (right): https://codereview.chromium.org/2754303003/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc#newcode524 third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc:524: void NGBlockLayoutAlgorithm::PrepareChildLayout(NGLayoutInputNode* child) { On 2017/03/17 19:31:18, Gleb Lanbin ...
6 months, 1 week ago (2017-03-17 19:42:40 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2754303003/20001
6 months, 1 week ago (2017-03-17 19:43:17 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/386132)
6 months, 1 week ago (2017-03-17 21:10:19 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2754303003/20001
6 months, 1 week ago (2017-03-17 22:28:31 UTC) #15
commit-bot: I haz the power
Failed to apply patch for third_party/WebKit/Source/core/layout/ng/ng_block_layout_algorithm.cc: While running git apply --index -p1; error: patch failed: ...
6 months, 1 week ago (2017-03-18 01:50:52 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2754303003/40001
6 months, 1 week ago (2017-03-18 03:53:36 UTC) #24
commit-bot: I haz the power
6 months, 1 week ago (2017-03-18 03:58:45 UTC) #27
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/fb239514f323bd9999a3e13fb5d8...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b